Bug 1806913 - openshift-controller-manager: Some core components are in openshift.io/run-level 1 and are bypassing SCC, but should not be
Summary: openshift-controller-manager: Some core components are in openshift.io/run-le...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.5.0
Assignee: Adam Kaplan
QA Contact: wewang
URL:
Whiteboard: devex
Depends On:
Blocks: 1805488 1807490
TreeView+ depends on / blocked
 
Reported: 2020-02-25 10:05 UTC by Stefan Schimanski
Modified: 2020-07-13 17:21 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the openshift-controller-manager-operator ran in a namespace with run-level 1. Consequence: the operator could run with elevated SELinux permissions Fix: removed the run-level 1 annotation from the operator's namespace Result: openshift-controller-manager-operator runs with the anyuid security context constraint correctly applied
Clone Of: 1805488
: 1807490 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:20:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-openshift-controller-manager-operator pull 143 None closed Bug 1806913: Remove run-level for OCM and operator 2020-07-19 17:08:32 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:21:25 UTC

Comment 6 errata-xmlrpc 2020-07-13 17:20:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.